diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-sap.h ns-3.38/src/lte/model/lte-rlc-sap.h
--- ns-3.37/src/lte/model/lte-rlc-sap.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-sap.h	2023-03-16 20:54:23.776869000 -0700
@@ -88,6 +88,9 @@
      */
     LteRlcSpecificLteRlcSapProvider(C* rlc);
 
+    // Delete default constructor to avoid misuse
+    LteRlcSpecificLteRlcSapProvider() = delete;
+
     /**
      * Interface implemented from LteRlcSapProvider
      * \param params the TransmitPdcpPduParameters
@@ -95,7 +98,6 @@
     void TransmitPdcpPdu(TransmitPdcpPduParameters params) override;
 
   private:
-    LteRlcSpecificLteRlcSapProvider();
     C* m_rlc; ///< the RLC
 };
 
@@ -106,11 +108,6 @@
 }
 
 template <class C>
-LteRlcSpecificLteRlcSapProvider<C>::LteRlcSpecificLteRlcSapProvider()
-{
-}
-
-template <class C>
 void
 LteRlcSpecificLteRlcSapProvider<C>::TransmitPdcpPdu(TransmitPdcpPduParameters params)
 {
@@ -129,11 +126,13 @@
      */
     LteRlcSpecificLteRlcSapUser(C* pdcp);
 
+    // Delete default constructor to avoid misuse
+    LteRlcSpecificLteRlcSapUser() = delete;
+
     // Interface implemented from LteRlcSapUser
     void ReceivePdcpPdu(Ptr<Packet> p) override;
 
   private:
-    LteRlcSpecificLteRlcSapUser();
     C* m_pdcp; ///< the PDCP
 };
 
@@ -143,11 +142,6 @@
 {
 }
 
-template <class C>
-LteRlcSpecificLteRlcSapUser<C>::LteRlcSpecificLteRlcSapUser()
-{
-}
-
 template <class C>
 void
 LteRlcSpecificLteRlcSapUser<C>::ReceivePdcpPdu(Ptr<Packet> p)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-sdu-status-tag.h ns-3.38/src/lte/model/lte-rlc-sdu-status-tag.h
--- ns-3.37/src/lte/model/lte-rlc-sdu-status-tag.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-sdu-status-tag.h	2023-03-16 20:54:23.776869000 -0700
@@ -59,15 +59,15 @@
     void Deserialize(TagBuffer i) override;
     void Print(std::ostream& os) const override;
 
-    /// SduStatus_t typedef
-    typedef enum
+    /// SduStatus_t enumeration
+    enum SduStatus_t
     {
         FULL_SDU = 1,
         FIRST_SEGMENT = 2,
         MIDDLE_SEGMENT = 3,
         LAST_SEGMENT = 4,
         ANY_SEGMENT = 5
-    } SduStatus_t; ///< SduStatus_t enumeration
+    };
 
   private:
     uint8_t m_sduStatus; ///< SDU status
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-tm.cc ns-3.38/src/lte/model/lte-rlc-tm.cc
--- ns-3.37/src/lte/model/lte-rlc-tm.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-tm.cc	2023-03-16 20:54:23.776869000 -0700
@@ -113,7 +113,7 @@
     // When submitting a new TMD PDU to lower layer, the transmitting TM RLC entity shall:
     // - submit a RLC SDU without any modification to lower layer.
 
-    if (m_txBuffer.size() == 0)
+    if (m_txBuffer.empty())
     {
         NS_LOG_LOGIC("No data pending");
         return;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-um.cc ns-3.38/src/lte/model/lte-rlc-um.cc
--- ns-3.37/src/lte/model/lte-rlc-um.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-um.cc	2023-03-16 20:54:23.776869000 -0700
@@ -146,7 +146,7 @@
 
     // Remove the first packet from the transmission buffer.
     // If only a segment of the packet is taken, then the remaining is given back later
-    if (m_txBuffer.size() == 0)
+    if (m_txBuffer.empty())
     {
         NS_LOG_LOGIC("No data pending");
         return;
@@ -256,7 +256,7 @@
             // (NO more segments) → exit
             // break;
         }
-        else if ((nextSegmentSize - firstSegment->GetSize() <= 2) || (m_txBuffer.size() == 0))
+        else if ((nextSegmentSize - firstSegment->GetSize() <= 2) || m_txBuffer.empty())
         {
             NS_LOG_LOGIC(
                 "    IF nextSegmentSize - firstSegment->GetSize () <= 2 || txBuffer.size == 0");
@@ -274,7 +274,7 @@
             nextSegmentId++;
 
             NS_LOG_LOGIC("        SDUs in TxBuffer  = " << m_txBuffer.size());
-            if (m_txBuffer.size() > 0)
+            if (!m_txBuffer.empty())
             {
                 NS_LOG_LOGIC("        First SDU buffer  = " << m_txBuffer.begin()->m_pdu);
                 NS_LOG_LOGIC(
@@ -304,7 +304,7 @@
             nextSegmentId++;
 
             NS_LOG_LOGIC("        SDUs in TxBuffer  = " << m_txBuffer.size());
-            if (m_txBuffer.size() > 0)
+            if (!m_txBuffer.empty())
             {
                 NS_LOG_LOGIC("        First SDU buffer  = " << m_txBuffer.begin()->m_pdu);
                 NS_LOG_LOGIC(
@@ -741,7 +741,7 @@
                  */
                 m_sdusBuffer.pop_front();
 
-                if (m_sdusBuffer.size() > 0)
+                if (!m_sdusBuffer.empty())
                 {
                     /**
                      * Deliver zero, one or multiple PDUs
@@ -921,7 +921,7 @@
                  */
                 m_sdusBuffer.pop_front();
 
-                if (m_sdusBuffer.size() > 0)
+                if (!m_sdusBuffer.empty())
                 {
                     /**
                      * Deliver zero, one or multiple PDUs
@@ -1039,7 +1039,7 @@
                  */
                 m_sdusBuffer.pop_front();
 
-                if (m_sdusBuffer.size() > 0)
+                if (!m_sdusBuffer.empty())
                 {
                     /**
                      * Deliver zero, one or multiple PDUs
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rlc-um.h ns-3.38/src/lte/model/lte-rlc-um.h
--- ns-3.37/src/lte/model/lte-rlc-um.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rlc-um.h	2023-03-16 20:54:23.776869000 -0700
@@ -150,12 +150,12 @@
     /**
      * Reassembling state
      */
-    typedef enum
+    enum ReassemblingState_t
     {
         NONE = 0,
         WAITING_S0_FULL = 1,
         WAITING_SI_SF = 2
-    } ReassemblingState_t;
+    };
 
     ReassemblingState_t m_reassemblingState; ///< reassembling state
     Ptr<Packet> m_keepS0;                    ///< keep S0
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rrc-header.cc ns-3.38/src/lte/model/lte-rrc-header.cc
--- ns-3.37/src/lte/model/lte-rrc-header.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rrc-header.cc	2023-03-16 20:54:23.776869000 -0700
@@ -66,7 +66,7 @@
 }
 
 int
-RrcAsn1Header::GetMessageType()
+RrcAsn1Header::GetMessageType() const
 {
     return m_messageType;
 }
@@ -142,7 +142,7 @@
     for (; it != drbToAddModList.end(); it++)
     {
         // Serialize DRB-ToAddMod sequence
-        // 5 otional fields. Extension marker is present.
+        // 5 optional fields. Extension marker is present.
         std::bitset<5> drbToAddModListOptionalFieldsPresent = std::bitset<5>();
         drbToAddModListOptionalFieldsPresent.set(4, 1); // eps-BearerIdentity present
         drbToAddModListOptionalFieldsPresent.set(3, 0); // pdcp-Config not present
@@ -230,7 +230,7 @@
     for (; it != srbToAddModList.end(); it++)
     {
         // Serialize SRB-ToAddMod sequence
-        // 2 otional fields. Extension marker is present.
+        // 2 optional fields. Extension marker is present.
         std::bitset<2> srbToAddModListOptionalFieldsPresent = std::bitset<2>();
         srbToAddModListOptionalFieldsPresent.set(1, 0); // rlc-Config not present
         srbToAddModListOptionalFieldsPresent.set(0, 1); // logicalChannelConfig present
@@ -5912,7 +5912,7 @@
 }
 
 bool
-RrcConnectionReconfigurationHeader::GetHaveMeasConfig()
+RrcConnectionReconfigurationHeader::GetHaveMeasConfig() const
 {
     return m_haveMeasConfig;
 }
@@ -5924,7 +5924,7 @@
 }
 
 bool
-RrcConnectionReconfigurationHeader::GetHaveMobilityControlInfo()
+RrcConnectionReconfigurationHeader::GetHaveMobilityControlInfo() const
 {
     return m_haveMobilityControlInfo;
 }
@@ -5936,7 +5936,7 @@
 }
 
 bool
-RrcConnectionReconfigurationHeader::GetHaveRadioResourceConfigDedicated()
+RrcConnectionReconfigurationHeader::GetHaveRadioResourceConfigDedicated() const
 {
     return m_haveRadioResourceConfigDedicated;
 }
@@ -5948,7 +5948,7 @@
 }
 
 bool
-RrcConnectionReconfigurationHeader::GetHaveNonCriticalExtensionConfig()
+RrcConnectionReconfigurationHeader::GetHaveNonCriticalExtensionConfig() const
 {
     return m_haveNonCriticalExtension;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rrc-header.h ns-3.38/src/lte/model/lte-rrc-header.h
--- ns-3.37/src/lte/model/lte-rrc-header.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rrc-header.h	2023-03-16 20:54:23.776869000 -0700
@@ -50,7 +50,7 @@
      *
      * \returns the message type
      */
-    int GetMessageType();
+    int GetMessageType() const;
 
   protected:
     /**
@@ -776,7 +776,7 @@
      * Getter for m_haveMeasConfig
      * @return m_haveMeasConfig
      */
-    bool GetHaveMeasConfig();
+    bool GetHaveMeasConfig() const;
 
     /**
      * Getter for m_measConfig
@@ -788,7 +788,7 @@
      * Getter for m_haveMobilityControlInfo
      * @return m_haveMobilityControlInfo
      */
-    bool GetHaveMobilityControlInfo();
+    bool GetHaveMobilityControlInfo() const;
 
     /**
      * Getter for m_mobilityControlInfo
@@ -800,7 +800,7 @@
      * Getter for m_haveRadioResourceConfigDedicated
      * @return m_haveRadioResourceConfigDedicated
      */
-    bool GetHaveRadioResourceConfigDedicated();
+    bool GetHaveRadioResourceConfigDedicated() const;
 
     /**
      * Getter for m_radioResourceConfigDedicated
@@ -824,7 +824,7 @@
      * Getter for m_haveNonCriticalExtension
      * @return m_haveNonCriticalExtension
      */
-    bool GetHaveNonCriticalExtensionConfig();
+    bool GetHaveNonCriticalExtensionConfig() const;
 
     /**
      * Getter for m_nonCriticalExtension
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rrc-protocol-ideal.cc ns-3.38/src/lte/model/lte-rrc-protocol-ideal.cc
--- ns-3.37/src/lte/model/lte-rrc-protocol-ideal.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rrc-protocol-ideal.cc	2023-03-16 20:54:23.776869000 -0700
@@ -476,7 +476,7 @@
      *
      * \returns the message ID
      */
-    uint32_t GetMsgId();
+    uint32_t GetMsgId() const;
     /**
      * Set the message ID function
      *
@@ -499,7 +499,7 @@
 };
 
 uint32_t
-IdealHandoverPreparationInfoHeader::GetMsgId()
+IdealHandoverPreparationInfoHeader::GetMsgId() const
 {
     return m_msgId;
 }
@@ -601,7 +601,7 @@
      *
      * \returns the message ID
      */
-    uint32_t GetMsgId();
+    uint32_t GetMsgId() const;
     /**
      * Set the message ID function
      *
@@ -624,7 +624,7 @@
 };
 
 uint32_t
-IdealHandoverCommandHeader::GetMsgId()
+IdealHandoverCommandHeader::GetMsgId() const
 {
     return m_msgId;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rrc-protocol-real.cc ns-3.38/src/lte/model/lte-rrc-protocol-real.cc
--- ns-3.37/src/lte/model/lte-rrc-protocol-real.cc	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rrc-protocol-real.cc	2023-03-16 20:54:23.776869000 -0700
@@ -129,7 +129,8 @@
 }
 
 void
-LteUeRrcProtocolReal::DoSendRrcConnectionSetupCompleted(LteRrcSap::RrcConnectionSetupCompleted msg)
+LteUeRrcProtocolReal::DoSendRrcConnectionSetupCompleted(
+    LteRrcSap::RrcConnectionSetupCompleted msg) const
 {
     Ptr<Packet> packet = Create<Packet>();
 
@@ -220,7 +221,7 @@
 
 void
 LteUeRrcProtocolReal::DoSendRrcConnectionReestablishmentRequest(
-    LteRrcSap::RrcConnectionReestablishmentRequest msg)
+    LteRrcSap::RrcConnectionReestablishmentRequest msg) const
 {
     Ptr<Packet> packet = Create<Packet>();
 
@@ -239,7 +240,7 @@
 
 void
 LteUeRrcProtocolReal::DoSendRrcConnectionReestablishmentComplete(
-    LteRrcSap::RrcConnectionReestablishmentComplete msg)
+    LteRrcSap::RrcConnectionReestablishmentComplete msg) const
 {
     Ptr<Packet> packet = Create<Packet>();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rrc-protocol-real.h ns-3.38/src/lte/model/lte-rrc-protocol-real.h
--- ns-3.37/src/lte/model/lte-rrc-protocol-real.h	2022-11-01 17:37:24.659395700 -0700
+++ ns-3.38/src/lte/model/lte-rrc-protocol-real.h	2023-03-16 20:54:23.776869000 -0700
@@ -108,7 +108,7 @@
      *
      * \param msg LteRrcSap::RrcConnectionSetupCompleted
      */
-    void DoSendRrcConnectionSetupCompleted(LteRrcSap::RrcConnectionSetupCompleted msg);
+    void DoSendRrcConnectionSetupCompleted(LteRrcSap::RrcConnectionSetupCompleted msg) const;
     /**
      * Send RRC connection reconfiguration setup completed function
      *
@@ -122,14 +122,14 @@
      * \param msg LteRrcSap::RrcConnectionReestablishmentRequest
      */
     void DoSendRrcConnectionReestablishmentRequest(
-        LteRrcSap::RrcConnectionReestablishmentRequest msg);
+        LteRrcSap::RrcConnectionReestablishmentRequest msg) const;
     /**
      * Send RRC connection reestablishment complete function
      *
      * \param msg LteRrcSap::RrcConnectionReestablishmentComplete
      */
     void DoSendRrcConnectionReestablishmentComplete(
-        LteRrcSap::RrcConnectionReestablishmentComplete msg);
+        LteRrcSap::RrcConnectionReestablishmentComplete msg) const;
     /**
      * Send measurement report function
      *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-rrc-sap.h ns-3.38/src/lte/model/lte-rrc-sap.h
--- ns-3.37/src/lte/model/lte-rrc-sap.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-rrc-sap.h	2023-03-16 20:54:23.776869000 -0700
@@ -93,13 +93,15 @@
     struct RlcConfig
     {
         /// the direction choice
-        enum direction
+        enum Direction
         {
             AM,
             UM_BI_DIRECTIONAL,
             UM_UNI_DIRECTIONAL_UL,
             UM_UNI_DIRECTIONAL_DL
-        } choice; ///< direction choice
+        };
+
+        Direction choice; ///< direction choice
     };
 
     /// LogicalChannelConfig structure
@@ -115,11 +117,13 @@
     struct SoundingRsUlConfigCommon
     {
         /// the config action
-        enum action
+        enum Action
         {
             SETUP,
             RESET
-        } type; ///< action type
+        };
+
+        Action type; ///< action type
 
         uint16_t srsBandwidthConfig; ///< SRS bandwidth config
         uint8_t srsSubframeConfig;   ///< SRS subframe config
@@ -129,11 +133,13 @@
     struct SoundingRsUlConfigDedicated
     {
         /// the config action
-        enum action
+        enum Action
         {
             SETUP,
             RESET
-        } type; ///< action type
+        };
+
+        Action type; ///< action type
 
         uint16_t srsBandwidth;   ///< SRS bandwidth
         uint16_t srsConfigIndex; ///< SRS config index
@@ -159,7 +165,7 @@
          * P_A values, TS 36.331 6.3.2 PDSCH-Config
          * ENUMERATED { dB-6, dB-4dot77, dB-3, dB-1dot77, dB0, dB1, dB2, dB3 }
          */
-        enum db
+        enum Db
         {
             dB_6,
             dB_4dot77,
@@ -405,11 +411,13 @@
         uint16_t timeToTrigger;
 
         /// the report purpose
-        enum report
+        enum Report
         {
             REPORT_STRONGEST_CELLS,
             REPORT_CGI
-        } purpose; ///< purpose
+        };
+
+        Report purpose; ///< purpose
 
         /// Trigger type enumeration
         enum
@@ -487,18 +495,22 @@
     struct MeasGapConfig
     {
         /// the action type
-        enum action
+        enum Action
         {
             SETUP,
             RESET
-        } type; ///< action type
+        };
 
-        /// the gap offest
-        enum gap
+        Action type; ///< action type
+
+        /// the gap offset
+        enum Gap
         {
             GP0,
             GP1
-        } gapOffsetChoice; ///< gap offset
+        };
+
+        Gap gapOffsetChoice; ///< gap offset
 
         uint8_t gapOffsetValue; ///< gap offset value
     };
@@ -524,11 +536,13 @@
     struct SpeedStatePars
     {
         /// the action type
-        enum action
+        enum Action
         {
             SETUP,
             RESET
-        } type; ///< action type
+        };
+
+        Action type; ///< action type
 
         MobilityStateParameters mobilityStateParameters; ///< mobility state parameters
         SpeedStateScaleFactors timeToTriggerSf;          ///< time to trigger scale factors
@@ -1336,6 +1350,9 @@
      */
     MemberLteUeRrcSapUser(C* owner);
 
+    // Delete default constructor to avoid misuse
+    MemberLteUeRrcSapUser() = delete;
+
     // inherited from LteUeRrcSapUser
     void Setup(SetupParameters params) override;
     void SendRrcConnectionRequest(RrcConnectionRequest msg) override;
@@ -1349,7 +1366,6 @@
     void SendIdealUeContextRemoveRequest(uint16_t rnti) override;
 
   private:
-    MemberLteUeRrcSapUser();
     C* m_owner; ///< the owner class
 };
 
@@ -1360,11 +1376,6 @@
 }
 
 template <class C>
-MemberLteUeRrcSapUser<C>::MemberLteUeRrcSapUser()
-{
-}
-
-template <class C>
 void
 MemberLteUeRrcSapUser<C>::Setup(SetupParameters params)
 {
@@ -1438,6 +1449,9 @@
      */
     MemberLteUeRrcSapProvider(C* owner);
 
+    // Delete default constructor to avoid misuse
+    MemberLteUeRrcSapProvider() = delete;
+
     // methods inherited from LteUeRrcSapProvider go here
     void CompleteSetup(CompleteSetupParameters params) override;
     void RecvSystemInformation(SystemInformation msg) override;
@@ -1449,7 +1463,6 @@
     void RecvRrcConnectionReject(RrcConnectionReject msg) override;
 
   private:
-    MemberLteUeRrcSapProvider();
     C* m_owner; ///< the owner class
 };
 
@@ -1460,11 +1473,6 @@
 }
 
 template <class C>
-MemberLteUeRrcSapProvider<C>::MemberLteUeRrcSapProvider()
-{
-}
-
-template <class C>
 void
 MemberLteUeRrcSapProvider<C>::CompleteSetup(CompleteSetupParameters params)
 {
@@ -1537,8 +1545,10 @@
      */
     MemberLteEnbRrcSapUser(C* owner);
 
-    // inherited from LteEnbRrcSapUser
+    // Delete default constructor to avoid misuse
+    MemberLteEnbRrcSapUser() = delete;
 
+    // inherited from LteEnbRrcSapUser
     void SetupUe(uint16_t rnti, SetupUeParameters params) override;
     void RemoveUe(uint16_t rnti) override;
     void SendSystemInformation(uint16_t cellId, SystemInformation msg) override;
@@ -1555,7 +1565,6 @@
     RrcConnectionReconfiguration DecodeHandoverCommand(Ptr<Packet> p) override;
 
   private:
-    MemberLteEnbRrcSapUser();
     C* m_owner; ///< the owner class
 };
 
@@ -1566,11 +1575,6 @@
 }
 
 template <class C>
-MemberLteEnbRrcSapUser<C>::MemberLteEnbRrcSapUser()
-{
-}
-
-template <class C>
 void
 MemberLteEnbRrcSapUser<C>::SetupUe(uint16_t rnti, SetupUeParameters params)
 {
@@ -1680,8 +1684,10 @@
      */
     MemberLteEnbRrcSapProvider(C* owner);
 
-    // methods inherited from LteEnbRrcSapProvider go here
+    // Delete default constructor to avoid misuse
+    MemberLteEnbRrcSapProvider() = delete;
 
+    // methods inherited from LteEnbRrcSapProvider go here
     void CompleteSetupUe(uint16_t rnti, CompleteSetupUeParameters params) override;
     void RecvRrcConnectionRequest(uint16_t rnti, RrcConnectionRequest msg) override;
     void RecvRrcConnectionSetupCompleted(uint16_t rnti, RrcConnectionSetupCompleted msg) override;
@@ -1697,7 +1703,6 @@
     void RecvIdealUeContextRemoveRequest(uint16_t rnti) override;
 
   private:
-    MemberLteEnbRrcSapProvider();
     C* m_owner; ///< the owner class
 };
 
@@ -1707,11 +1712,6 @@
 {
 }
 
-template <class C>
-MemberLteEnbRrcSapProvider<C>::MemberLteEnbRrcSapProvider()
-{
-}
-
 template <class C>
 void
 MemberLteEnbRrcSapProvider<C>::CompleteSetupUe(uint16_t rnti, CompleteSetupUeParameters params)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-spectrum-phy.cc ns-3.38/src/lte/model/lte-spectrum-phy.cc
--- ns-3.37/src/lte/model/lte-spectrum-phy.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-spectrum-phy.cc	2023-03-16 20:54:23.776869000 -0700
@@ -56,7 +56,8 @@
 /// Effective coding rate
 static const double EffectiveCodingRate[29] = {
     0.08, 0.1, 0.11, 0.15, 0.19, 0.24, 0.3, 0.37, 0.44, 0.51, 0.3, 0.33, 0.37, 0.42, 0.48,
-    0.54, 0.6, 0.43, 0.45, 0.5,  0.55, 0.6, 0.65, 0.7,  0.75, 0.8, 0.85, 0.89, 0.92};
+    0.54, 0.6, 0.43, 0.45, 0.5,  0.55, 0.6, 0.65, 0.7,  0.75, 0.8, 0.85, 0.89, 0.92,
+};
 
 TbId_t::TbId_t()
 {
@@ -922,7 +923,7 @@
     it = m_expectedTbs.find(tbId);
     if (it != m_expectedTbs.end())
     {
-        // migth be a TB of an unreceived packet (due to high progpalosses)
+        // might be a TB of an unreceived packet (due to high progpalosses)
         m_expectedTbs.erase(it);
     }
     // insert new entry
@@ -972,9 +973,9 @@
 
     while (itTb != m_expectedTbs.end())
     {
-        if ((m_dataErrorModelEnabled) &&
-            (m_rxPacketBurstList.size() >
-             0)) // avoid to check for errors when there is no actual data transmitted
+        if (m_dataErrorModelEnabled &&
+            !m_rxPacketBurstList
+                 .empty()) // avoid to check for errors when there is no actual data transmitted
         {
             // retrieve HARQ info
             HarqProcessInfoList_t harqInfoList;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-spectrum-value-helper.cc ns-3.38/src/lte/model/lte-spectrum-value-helper.cc
--- ns-3.37/src/lte/model/lte-spectrum-value-helper.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-spectrum-value-helper.cc	2023-03-16 20:54:23.776869000 -0700
@@ -33,7 +33,7 @@
 /**
  * \brief Stream insertion operator.
  *
- * \note This function scope is stricly local, and can not be
+ * \note This function scope is strictly local, and can not be
  * used in other source files.
  *
  * \param [in] os The reference to the output stream.
@@ -66,7 +66,7 @@
  * filter: awk '{if ((NR % 7) == 1) printf("{"); printf ("%s",$0); if ((NR % 7) == 0)
  * printf("},\n"); else printf(", ");}' | sed 's/ – /, /g'
  */
-static const struct EutraChannelNumbers
+struct EutraChannelNumbers
 {
     uint8_t band;       ///< band
     double fDlLow;      ///<  DL low
@@ -77,7 +77,10 @@
     uint32_t nOffsUl;   ///< number offset UL
     uint32_t rangeNul1; ///< range UL 1
     uint32_t rangeNul2; ///< range UL 2
-} g_eutraChannelNumbers[] = {
+};
+
+/// Eutra channel numbers
+static const EutraChannelNumbers g_eutraChannelNumbers[]{
     {1, 2110, 0, 0, 599, 1920, 18000, 18000, 18599},
     {2, 1930, 600, 600, 1199, 1850, 18600, 18600, 19199},
     {3, 1805, 1200, 1200, 1949, 1710, 19200, 19200, 19949},
@@ -104,7 +107,8 @@
     {37, 1910, 37550, 37550, 37749, 1910, 37550, 37550, 37749},
     {38, 2570, 37750, 37750, 38249, 2570, 37750, 37750, 38249},
     {39, 1880, 38250, 38250, 38649, 1880, 38250, 38250, 38649},
-    {40, 2300, 38650, 38650, 39649, 2300, 38650, 38650, 39649}}; ///< eutra channel numbers
+    {40, 2300, 38650, 38650, 39649, 2300, 38650, 38650, 39649},
+};
 
 /// number of EUTRA bands
 #define NUM_EUTRA_BANDS (sizeof(g_eutraChannelNumbers) / sizeof(EutraChannelNumbers))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-spectrum-value-helper.h ns-3.38/src/lte/model/lte-spectrum-value-helper.h
--- ns-3.37/src/lte/model/lte-spectrum-value-helper.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-spectrum-value-helper.h	2023-03-16 20:54:23.776869000 -0700
@@ -90,7 +90,7 @@
     /**
      *
      *
-     * \param txBandwidthConf the tranmission bandwidth
+     * \param txBandwidthConf the transmission bandwidth
      * configuration in number of resource blocks
      *
      * \return the nominal channel bandwidth in Hz as per 3GPP TS 36.101
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-ccm-rrc-sap.h ns-3.38/src/lte/model/lte-ue-ccm-rrc-sap.h
--- ns-3.37/src/lte/model/lte-ue-ccm-rrc-sap.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-ccm-rrc-sap.h	2023-03-16 20:54:23.776869000 -0700
@@ -95,7 +95,7 @@
      * \brief Add the Signal Bearer for a specific Ue in LteUeComponenCarrierManager
      * \param lcid the Logical Channel Id
      * \param lcConfig this structure it is hard-coded in the LteEnbRrc
-     * \param msu it is the MacSapUser of the Rlc istance
+     * \param msu it is the MacSapUser of the Rlc instance
      * \return the LteMacSapUser of the ComponentCarrierManager
      *
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-cphy-sap.h ns-3.38/src/lte/model/lte-ue-cphy-sap.h
--- ns-3.37/src/lte/model/lte-ue-cphy-sap.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-cphy-sap.h	2023-03-16 20:54:23.776869000 -0700
@@ -307,6 +307,9 @@
      */
     MemberLteUeCphySapProvider(C* owner);
 
+    // Delete default constructor to avoid misuse
+    MemberLteUeCphySapProvider() = delete;
+
     // inherited from LteUeCphySapProvider
     void Reset() override;
     void StartCellSearch(uint32_t dlEarfcn) override;
@@ -328,7 +331,6 @@
     void SetImsi(uint64_t imsi) override;
 
   private:
-    MemberLteUeCphySapProvider();
     C* m_owner; ///< the owner class
 };
 
@@ -339,11 +341,6 @@
 }
 
 template <class C>
-MemberLteUeCphySapProvider<C>::MemberLteUeCphySapProvider()
-{
-}
-
-template <class C>
 void
 MemberLteUeCphySapProvider<C>::Reset()
 {
@@ -484,6 +481,9 @@
      */
     MemberLteUeCphySapUser(C* owner);
 
+    // Delete default constructor to avoid misuse
+    MemberLteUeCphySapUser() = delete;
+
     // methods inherited from LteUeCphySapUser go here
     void RecvMasterInformationBlock(uint16_t cellId,
                                     LteRrcSap::MasterInformationBlock mib) override;
@@ -495,7 +495,6 @@
     void ResetSyncIndicationCounter() override;
 
   private:
-    MemberLteUeCphySapUser();
     C* m_owner; ///< the owner class
 };
 
@@ -505,11 +504,6 @@
 {
 }
 
-template <class C>
-MemberLteUeCphySapUser<C>::MemberLteUeCphySapUser()
-{
-}
-
 template <class C>
 void
 MemberLteUeCphySapUser<C>::RecvMasterInformationBlock(uint16_t cellId,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-mac.cc ns-3.38/src/lte/model/lte-ue-mac.cc
--- ns-3.37/src/lte/model/lte-ue-mac.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-mac.cc	2023-03-16 20:54:23.776869000 -0700
@@ -362,7 +362,7 @@
         return;
     }
 
-    if (m_ulBsrReceived.size() == 0)
+    if (m_ulBsrReceived.empty())
     {
         NS_LOG_INFO("No BSR report to transmit");
         return;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-phy.cc ns-3.38/src/lte/model/lte-ue-phy.cc
--- ns-3.37/src/lte/model/lte-ue-phy.cc	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-phy.cc	2023-03-16 20:54:23.776869000 -0700
@@ -126,7 +126,10 @@
 ////////////////////////////////////////
 
 /// Map each of UE PHY states to its string representation.
-static const std::string g_uePhyStateName[LteUePhy::NUM_STATES] = {"CELL_SEARCH", "SYNCHRONIZED"};
+static const std::string g_uePhyStateName[LteUePhy::NUM_STATES] = {
+    "CELL_SEARCH",
+    "SYNCHRONIZED",
+};
 
 /**
  * \param s The UE PHY state.
@@ -867,7 +870,7 @@
         }
         dlcqi.m_rnti = m_rnti;
         dlcqi.m_ri = 1;                          // not yet used
-        dlcqi.m_cqiType = CqiListElement_s::P10; // Peridic CQI using PUCCH wideband
+        dlcqi.m_cqiType = CqiListElement_s::P10; // Periodic CQI using PUCCH wideband
         NS_ASSERT_MSG(nLayer > 0, " nLayer negative");
         NS_ASSERT_MSG(nLayer < 3, " nLayer limit is 2s");
         for (uint8_t i = 0; i < nLayer; i++)
@@ -1306,7 +1309,7 @@
         else
         {
             // send only PUCCH (ideal: fake null bandwidth signal)
-            if (ctrlMsg.size() > 0)
+            if (!ctrlMsg.empty())
             {
                 NS_LOG_LOGIC(this << " UE - start TX PUCCH (NO PUSCH)");
                 std::vector<int> dlRb;
@@ -1477,11 +1480,11 @@
         m_dlBandwidth = dlBandwidth;
 
         static const int Type0AllocationRbg[4] = {
-            10, // RGB size 1
-            26, // RGB size 2
-            63, // RGB size 3
-            110 // RGB size 4
-        };      // see table 7.1.6.1-1 of 36.213
+            10,  // RGB size 1
+            26,  // RGB size 2
+            63,  // RGB size 3
+            110, // RGB size 4
+        };       // see table 7.1.6.1-1 of 36.213
         for (int i = 0; i < 4; i++)
         {
             if (dlBandwidth < Type0AllocationRbg[i])
@@ -1650,7 +1653,7 @@
     if (m_downlinkInSync && (m_numOfFrames * 10) == m_numOfQoutEvalSf)
     {
         NS_LOG_LOGIC("At " << Simulator::Now().As(Time::MS)
-                           << " ms UE PHY sending out of snyc indication to UE RRC layer");
+                           << " ms UE PHY sending out of sync indication to UE RRC layer");
         m_ueCphySapUser->NotifyOutOfSync();
         m_numOfFrames = 0;
     }
@@ -1689,7 +1692,7 @@
     if (!m_downlinkInSync && (m_numOfFrames * 10) == m_numOfQinEvalSf)
     {
         NS_LOG_LOGIC("At " << Simulator::Now().As(Time::MS)
-                           << " ms UE PHY sending in snyc indication to UE RRC layer");
+                           << " ms UE PHY sending in sync indication to UE RRC layer");
         m_ueCphySapUser->NotifyInSync();
         m_numOfFrames = 0;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-phy.h ns-3.38/src/lte/model/lte-ue-phy.h
--- ns-3.37/src/lte/model/lte-ue-phy.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-phy.h	2023-03-16 20:54:23.776869000 -0700
@@ -572,7 +572,7 @@
     void DoResetRlfParams();
 
     /**
-     * \brief Start in Snyc detection function
+     * \brief Start in Sync detection function
      *
      * When T310 timer is started, it indicates that physical layer
      * problems are detected at the UE and the recovery process is
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/lte/model/lte-ue-phy-sap.h ns-3.38/src/lte/model/lte-ue-phy-sap.h
--- ns-3.37/src/lte/model/lte-ue-phy-sap.h	2022-11-01 17:37:24.663395600 -0700
+++ ns-3.38/src/lte/model/lte-ue-phy-sap.h	2023-03-16 20:54:23.776869000 -0700
@@ -79,7 +79,7 @@
     virtual ~LteUePhySapUser();
 
     /**
-     * \brief Receive Phy Pdu funtion.
+     * \brief Receive Phy Pdu function.
      *
      * It is called by the Phy to notify the MAC of the reception of a new PHY-PDU
      *
